Bug Tracker – Bug 259

Sudden disconnects on client upon connection

Last modified: 2008-05-14 19:57:32 UTC
Bug 259 - Sudden disconnects on client upon connection
Summary: Sudden disconnects on client upon connection
Status: RESOLVED FIXED
Alias: None
Product: Odamex
Classification: Unclassified
Component: Client (show other bugs)
Version: (old) 0.0.1
Hardware: All All
: P2 normal
Assignee: Denis Lukianov
URL:
Depends on:
Blocks: 424
  Show dependency tree
 
Reported: 2006-12-12 10:14 UTC by Dean Joseph
Modified: 2008-05-14 19:57 UTC (History)
0 users

See Also:

Attachments

Add an attachment (proposed patch, testcase, etc.)

Note You need to log in before you can comment on or make changes to this bug.
Description Dean Joseph 2006-12-12 10:14:38 UTC
Most likely related to bug 205, but I noticed that whenever I connect to a server, most of the time it'll show about half a second of gametic movement and will then suddenly time out without explanation. This happened when I decided to randomly test with another person earlier tonight and it also occured to said person.

What's odd is that it shows that the client connects and disconnects within the next gametic to other clients that are connected.

r2069
Comment 1 Albert Brown 2007-01-19 16:27:10 UTC
Users suffering from this bug appear to have extremely archaic and random ping times.  Perhaps it could be due to mis-interpreting whatever data is used to initialize and calibrate ping detection.  The client may be timing out (aborting the connection - killing hopes of fixing the situation)  due to the screw up, it thinks the ping is negative or positive 10000000 or so ms.  I'm going too peep around, no guarantees I'll achieve anything. :|
Comment 2 Denis Lukianov 2008-05-05 20:58:59 UTC
i have not seen this happen recently. has it been fixed?
Comment 3 Denis Lukianov 2008-05-14 19:56:49 UTC
this is a very old, pre-spectator bug report. assuming fixed
Comment 4 Denis Lukianov 2008-05-14 19:57:32 UTC
this is a very old, pre-spectator bug report. assuming fixed